com.google.gwt.user.client.ui

## Interface HasOneWidget

All Superinterfaces:
  AcceptsOneWidget

All Known Implementing Classes:
  CustomScrollPanel, DecoratedPopupPanel, DecoratorPanel, DialogBox, FocusPanel, FormPanel, LazyPanel, LoggingPopup, PopupPanel, ResizeLayoutPanel, ScrollPanel, SimpleLayoutPanel, SimplePanel

    public interface HasOneWidget
    extends AcceptsOneWidget

Implemented by panels that have only one widget.

See Also:
  `SimplePanel`

### Method Summary

All Methods Instance Methods Abstract Methods
`Widget` `getWidget()` Gets the panel's child widget.
`void` `setWidget(Widget w)` Sets this panel's widget.

### Methods inherited from interface com.google.gwt.user.client.ui.AcceptsOneWidget

`setWidget`

### Method Detail

#### getWidget

    Widget getWidget()

Gets the panel's child widget.

Returns:
  the child widget, or `null` if none is present

#### setWidget

    void setWidget(Widget w)

Sets this panel's widget. Any existing child widget will be removed.

Parameters:
  `w` - the panel's new widget, or `null` to clear the panel